//! For POSIX and system calls

use super::*;

pub mod user;

pub mod pipe;
pub mod fork;

pub mod errno;
use errno::ResultExt;

/// Get pid of current process
#[inline] pub fn get_pid() -> i32
{
    unsafe{libc::getpid()}
}
